HPL_pdgesv(3)

NAME
HPL_pdgesv - Solve A x = b.

SYNOPSIS
#include "hpl.h"

void HPL_pdgesv( HPL_T_grid * GRID, HPL_T_palg * ALGO, HPL_T_pmat * A );

DESCRIPTION
HPL_pdgesv factors a N+1-by-N matrix using LU factorization with row partial pivoting. The main algorithm is the "right looking" variant with or without look-ahead. The lower triangular factor is left unpivoted and the pivots are not returned. The right hand side is the N+1 column of the coefficient matrix.

ARGUMENTS

GRID    (local input)           HPL_T_grid *
    On entry, GRID points to the data structure containing the process grid information.

ALGO    (global input)          HPL_T_palg *
    On entry, ALGO points to the data structure containing the algorithmic parameters.

A       (local input/output)    HPL_T_pmat *
    On entry, A points to the data structure containing the local array information.

SEE ALSO
HPL_pdgesv0 (3), HPL_pdgesvK1 (3), HPL_pdgesvK2 (3), HPL_pdtrsv (3).